<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::thread_function::super_funct_2&lt; F, T1, T2 &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1thread__function.html">thread_function</a></li><li class="navelem"><a class="el" href="classdlib_1_1thread__function_1_1super__funct__2.html">super_funct_2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1thread__function_1_1super__funct__2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::thread_function::super_funct_2&lt; F, T1, T2 &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::thread_function::super_funct_2&lt; F, T1, T2 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1thread__function_1_1super__funct__2.png" usemap="#dlib::thread_5Ffunction::super_5Ffunct_5F2_3C_20F_2C_20T1_2C_20T2_20_3E_map" alt=""/>
  <map id="dlib::thread_5Ffunction::super_5Ffunct_5F2_3C_20F_2C_20T1_2C_20T2_20_3E_map" name="dlib::thread_5Ffunction::super_5Ffunct_5F2_3C_20F_2C_20T1_2C_20T2_20_3E_map">
<area href="classdlib_1_1thread__function_1_1base__funct.html" alt="dlib::thread_function::base_funct" shape="rect" coords="0,0,291,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a596a667f9596d2be779b4b31eb4dd8d3"><td class="memItemLeft" align="right" valign="top"><a id="a596a667f9596d2be779b4b31eb4dd8d3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>super_funct_2</b> (F funct, T1 arg1, T2 arg2)</td></tr>
<tr class="separator:a596a667f9596d2be779b4b31eb4dd8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0aa2ae3606f48d1443fd377d6854b74"><td class="memItemLeft" align="right" valign="top"><a id="ae0aa2ae3606f48d1443fd377d6854b74"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>go</b> ()</td></tr>
<tr class="separator:ae0aa2ae3606f48d1443fd377d6854b74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afdf5392908cbca7dd101bc440e0dd841"><td class="memItemLeft" align="right" valign="top"><a id="afdf5392908cbca7dd101bc440e0dd841"></a>
F&#160;</td><td class="memItemRight" valign="bottom"><b>f</b></td></tr>
<tr class="separator:afdf5392908cbca7dd101bc440e0dd841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e513cf82dbc8ad79e20256e51ac89d6"><td class="memItemLeft" align="right" valign="top"><a id="a1e513cf82dbc8ad79e20256e51ac89d6"></a>
T1&#160;</td><td class="memItemRight" valign="bottom"><b>a1</b></td></tr>
<tr class="separator:a1e513cf82dbc8ad79e20256e51ac89d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41cb3f877f8d845f9f9805960abc2c4c"><td class="memItemLeft" align="right" valign="top"><a id="a41cb3f877f8d845f9f9805960abc2c4c"></a>
T2&#160;</td><td class="memItemRight" valign="bottom"><b>a2</b></td></tr>
<tr class="separator:a41cb3f877f8d845f9f9805960abc2c4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="thread__function__extension_8h_source.html">thread_function_extension.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
